package listService

import (
	"git.ma-al.com/goc_daniel/b2b/app/model"
	"git.ma-al.com/goc_daniel/b2b/app/repos/listRepo"
	"git.ma-al.com/goc_daniel/b2b/app/utils/query/filters"
	"git.ma-al.com/goc_daniel/b2b/app/utils/query/find"
)

type ListService struct {
	listRepo listRepo.UIListRepo
}

func New() *ListService {
	return &ListService{
		listRepo: listRepo.New(),
	}
}

func (s *ListService) ListProducts(id_lang uint, p find.Paging, filters *filters.FiltersList) (find.Found[model.ProductInList], error) {
	return s.listRepo.ListProducts(id_lang, p, filters)
}

func (s *ListService) ListUsers(id_lang uint, p find.Paging, filters *filters.FiltersList) (find.Found[model.UserInList], error) {
	return s.listRepo.ListUsers(id_lang, p, filters)
}
